<?php
/**
 * [Config]input：入力フォーム表示設定
 * @link http://komaphp.k-akimoto-matsu.net/Reference#subtitle2 マニュアル@InputConfig
 */
return [
	"ItemInput"=>[
		"tk"=>[
			"type"=>"hidden",
			"name"=>"tk",
			"label"=>"",
			"setting"=>[],
			"help"=>"",
			"requierd"=>true,
			"fxvalue"=>Session::createToken("tk"),//hiddenなので単発バリデータでチェック
		],
		"item_id"=>[
			"type"=>"text",
			"name"=>"item_id",
			"label"=>"商品コード",
			"validate"=>"requierd|number|overlap-Item",
			"setting"=>[],
			"help"=>"半角数字のみ。重複不可",
			"requierd"=>true,
		],
		"category"=>[
			"type"=>"radio",
			"name"=>"category",
			"label"=>"商品カテゴリー",
			"validate"=>"requierd",
			"setting"=>[],
			"select"=>"category",
			"requierd"=>true,
		],
		"name"=>[
			"type"=>"text",
			"name"=>"name",
			"label"=>"商品名",
			"setting"=>["style"=>"width:200px;"],
			"validate"=>"requierd|max-50",
			"requierd"=>true,
			"help"=>"最大50字",
		],
		"price"=>[
			"type"=>"text",
			"name"=>"price",
			"label"=>"値段",
			"setting"=>[],
			"validate"=>"requierd|number",
			"requierd"=>true,
			"help"=>"円",
		],
		"intro"=>[
			"type"=>"textarea",
			"name"=>"intro",
			"label"=>"商品紹介",
			"setting"=>["cols"=>"50","rows"=>"10"],
			"help"=>"HTMLは無効",
		],
	],
	"ItemEdit"=>[
		"tk"=>[
			"type"=>"hidden",
			"name"=>"tk",
			"label"=>"",
			"setting"=>[],
			"help"=>"",
			"requierd"=>true,
			"fxvalue"=>Session::createToken("tk"),//hiddenなので単発バリデータでチェック
		],
		"item_id"=>[
			"type"=>"label",
			"name"=>"item_id",
			"label"=>"商品コード",
			"setting"=>[],
			"help"=>"変更不可",
		],
		"category"=>[
			"type"=>"radio",
			"name"=>"category",
			"label"=>"商品カテゴリー",
			"validate"=>"requierd",
			"setting"=>[],
			"select"=>"category",
			"requierd"=>true,
		],
		"name"=>[
			"type"=>"text",
			"name"=>"name",
			"label"=>"商品名",
			"setting"=>["style"=>"width:200px;"],
			"validate"=>"requierd|max-50",
			"requierd"=>true,
			"help"=>"最大50字",
		],
		"price"=>[
			"type"=>"text",
			"name"=>"price",
			"label"=>"値段",
			"setting"=>[],
			"validate"=>"requierd|number",
			"requierd"=>true,
			"help"=>"円",
		],
		"intro"=>[
			"type"=>"textarea",
			"name"=>"intro",
			"label"=>"商品紹介",
			"setting"=>["cols"=>"50","rows"=>"10"],
			"help"=>"HTMLは無効",
		],
	],
];