<?php
/**
 * [Controller]AjaxController：Ajax処理コントローラ
 * 画面より呼び出されたAjax処理を行う
 *
 * @link http://komaphp.k-akimoto-matsu.net/Manual#subtitle14 マニュアル@Ajax
 * @author TakanoriMatsushige < http://k-akimoto-matsu.net/Inquiry >
 * @copyright k_akimoto_matsu. All Rights Reserved
 */
class AjaxController extends BaseController{
	protected $param = []; //viewに渡すパラメータ

	function get($ret = []){

		return $this->param["ret"] = null;
	}

	function post($ret = []){
		$start = microtime(true);
		if(method_exists($this, $ret["route"]["action"])){
			$this->param["ret"] = $this->$ret["route"]["action"]();
		}else{
			$this->param["ret"] = false;
		}
		//処理秒数
		$end = microtime(true);
		Log::set("Ajax:".$ret["route"]["action"].":処理時間：".($end-$start));
		$p = Input::all();
		$lor = [];
		foreach($p as $k=>$v){
			if(is_array($v)){
				$lor[] = $k."->".join("|",$v);
			}else{
				$lor[] = $k."->".$v;
			}
		}
		Log::set(join("\n",$lor));

		return $this->param;
	}

	function k_ajax_test(){
		$t1 = Input::get("t1");
		$t2 = Input::get("t2");
		return ($t1+$t2);
	}
}