<?php
/**
 * [Core]Log：ログクラス
 * アクセスログ・処理実行ログ書き込み処理を行う
 *
 * @link http://komaphp.k-akimoto-matsu.net/Reference#subtitle0 リファレンス@Core.Log
 * @author TakanoriMatsushige < http://k-akimoto-matsu.net/Inquiry >
 * @copyright k_akimoto_matsu. All Rights Reserved
 */
class Log{

	/**
	 * ログ出力
	 * @param unknown $msg
	 */
	public static function set($msg=null){

		$datetime = date("Y-m-d H:i:s");
		$date = date("Ymd");

		$logFile = __DIR__.DS."..".DS."storage".DS."Log".DS."aclog".$date.".log";

		$data=null;

		$data="[{$datetime}] ";

		if(!is_null(Session::get("AdminInfo"))){
			$adm = Session::get("AdminInfo");
			$data.="adminID:{$adm["admin_id"]} ";
		}
		$data.="{$msg} ";

		if(file_exists($logFile)){
			file_put_contents($logFile, $data."\n",FILE_APPEND);
		}else{
			file_put_contents($logFile, $data."\n");
		}

	}

}