<?php
/**
 * [Core]Mail：メール送信クラス
 *
 * @link http://komaphp.k-akimoto-matsu.net/Reference#subtitle0 リファレンス@Core.Mail
 * @author TakanoriMatsushige < http://k-akimoto-matsu.net/Inquiry >
 * @copyright k_akimoto_matsu. All Rights Reserved
 */
class Mail{

	/**
	 * メール送信
	 * @param unknown $subject
	 * @param unknown $message
	 * @param unknown $from
	 * @param unknown $to
	 * @param unknown $mid
	 * @return boolean
	 */
	public static function send($subject,$message,$from,$to,$mid=null){
		if(!is_null($mid)){
			$message .= "


識別ID：{$mid}";

		}

		try{
			$datetime = date("Y-m-d H:i:s");

			$logFile = __DIR__.DS."..".DS."storage".DS."Mail".DS."send".$mid.".log";

			$data = null;
			$data.=<<< EOF

from:{$from}
to:{$to}
subject:{$subject}
body:
{$message}
EOF;
			if(file_exists($logFile)){
				file_put_contents($logFile, $data."\n\n\n",FILE_APPEND);
			}else{
				file_put_contents($logFile, $data."\n\n\n");
			}
			mb_language("japanese");
			mb_internal_encoding("EUC-JP");

			$from = mb_encode_mimeheader(mb_convert_encoding($from,"JIS"));

			return true;

		}catch(Exception $e){
			Log::set("sendMailError:".$e->getMessage());
			return false;
		}
	}

}