<?php
/**
 * [Config]accesslist：アクセス解析設定
 * @link http://komaphp.k-akimoto-matsu.net/Manual#subtitle11 マニュアル@設定ファイル
 */
return [
	"info"=>[
		"HTTP_REFERER"=>"アクセス元",
		"HTTP_USER_AGENT"=>"ユーザエージェント",
		"REMOTE_ADDR"=>"ユーザIPアドレス",
	],
	"searchengine"=>[
		"google",
		"yahoo",
		"bing",
		"goo",
		"baidu",
	],
	"sss"=>"@SRV_SPLIT_STR@",
	"oslist"=>[
		"win"=>[
			"Windows NT 6.3"=>"Windows 8.1",
			"Windows NT 6.2"=>"Windows 8",
			"Windows NT 6.1"=>"Windows 7",
			"Windows NT 6.0"=>"Windows Vista",
			"Windows NT 5.2"=>"Windows Server2003 / Windows XP x64 Edition",
			"Windows NT 5.1"=>"Windows XP",
			"Windows NT 5.0"=>"Windows 2000",
			"Windows NT 4.0"=>"Microsoft Windows NT 4.0",
			"Windows"=>"Windows Other(10 or PastOS)",
		],
		"mac"=>[
			"Mac OS x ([0-9\._]+)"=>"Macintosh Intel ",
		],
		"lin"=>[
			"Linux ([0-9_]+)"=>"Linux ",
		],
		"iOS"=>[
			"OS ([a-z0-9_]+)"=>"iOS ",
		],
		"And"=>[
			"Android ([a-z0-9\.]+)"=>"Android ",
		],
	],
	"browserlist"=>[
		"minor"=>[
			"(Iron|Sleipnir|Maxthon|Lunascape|SeaMonkey|Camino|PaleMoon|Waterfox|Cyberfox)\/([0-9\.]+)",
			"(Googlebot|bingbot)\/([0-9\.]+)",
		],
		"major"=>[
			"(^Opera|OPR).*\/([0-9\.]+)"=>"Opera",
			"Chrome\/([0-9\.]+)"=>"Chrome",
			"Firefox\/([0-9\.]+)"=>"Firefox",
			"(MSIE\s|Trident.*rv:)([0-9\.]+)"=>"Internet Explorer",
			"\/([0-9\.]+)(\sMobile\/[A-Z0-9]{6})?\sSafari"=>"Safari",
		],
		"game"=>[
			"Nintendo (3DS|WiiU)"=>"Nintendo",
			"PLAYSTATION (4|3|Vita)"=>"PLAYSTATION",
		],
	],
	"devicelist"=>[
		"iPhone"=>"iPhone",
		"iPod"=>"iPod",
		"Android"=>"Android",
		"Windows Phone"=>"Windows Phone",
		"PLayStation Vita"=>"PLayStation Vita",
		"PLayStation Portable"=>"PLayStation Portable",
		"(PS2|PLAYSTATION3|PLayStation 4)"=>"PLayStation",
		"Nintendo 3DS"=>"Nintendo 3DS",
		"Nintendo (Wii|WiiU)"=>"Nintendo Wii(U)",
	],
];