<?php
/**
 * [Config]app：システム共通設定
 * @link http://komaphp.k-akimoto-matsu.net/Manual#subtitle11 マニュアル@設定ファイル
 */
return [
	"sysname"=>"KoMA-PHP",
	"ownerweb"=>"http://k-akimoto-matsu.net/",
	"sitename"=>"",
	"httproot"=>"/",
	"adminroot"=>"/admin/",
	"debug"=>false, //本番時はfalseに
	"auth"=>"admin", //認証用ページルートディレクトリ
	"mail_count"=>300,
	"lockcnt"=>3,
	"auto_logout"=>60*30, //自動ログアウト
	"pager"=>10, //ページングする場合の１ページの数
	"pagersplit"=>5, //ページ数が多いときに区切るページ数
	"hash_key"=>"sha256", //ハッシュ暗号化KEY
	"password_cnt"=>8,
	"no_login"=>["Top","Login",
					"Include","Ajax","Redirect"],
					//ログインなしで表示する機能
	"dir"=>"___",//ディレクトリ階層置換用
	"SLASH"=>"__SL__",//URLのスラッシュ置換用
];